#
# spec file for package gnorpm (Version 0.96)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gtk gtk-devel guile imlib imlib-devel indent libghttp libghttp-devel libjpeg libpng libtiff libungif libxml libxml-devel orbit orbit-devel popt rpmfind xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gnome-print gpm gppshare grep groff gtk gtk-devel guile gzip imlib imlib-devel indent kbd less libghttp libghttp-devel libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl popt ps rcs readline rpm rpmfind sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnorpm
%define  prefix  /opt/gnome
Summary:      Gnome RPM frontend
Version:      0.96
Release:      267
Copyright: GPL
Group:      X11/GNOME/System
Source:    ftp://ftp.daa.com.au/pub/james/gnome/gnorpm-%{version}.tar.bz2
Patch:     gnorpm-db.dif
Url:       http://www.daa.com.au/~james/gnome/
BuildRoot: /var/tmp/gnorpm-root

%description
A front end for RPM -- another component for the GNOME Project.

Authors:
--------
    James Henstridge <james@daa.com.au>

SuSE series: gnm

%prep
%setup -n gnorpm-%{version}
touch -r configure t
%patch
touch -r t configure
rm t

%build
export CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE64_SOURCE" 
./configure --prefix=/opt/gnome 
            
make 

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README ABOUT-NLS COPYING
%{prefix}/bin/*
%{prefix}/share/gnorpm*
%{prefix}/share/locale/*/*/*
%{prefix}/share/gnome/apps/*
%{prefix}/share/gnome/help/gnorpm
%{prefix}/share/mime-info/*
%{prefix}/share/pixmaps/*

%changelog -n gnorpm
* Thu Apr 19 2001 - kukuk@suse.de
- Don't patch configure.in, save timestamp of configure to fool
  automake
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Thu Mar 01 2001 - egger@suse.de
- Updated to version 0.96.
- Reworked specfile completely.
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Mon Feb 19 2001 - ro@suse.de
- changed neededforbuild <libghtt> to <libghttp>
- changed neededforbuild <libghtt-devel> to <libghttp-devel>
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Mon Nov 20 2000 - kukuk@suse.de
- Set CFLAGS variable correct to support off64_t
* Mon Nov 06 2000 - kukuk@suse.de
- Link only against libdb1, linking against libdb1 and libdb3
  will not work.
* Mon Nov 06 2000 - ro@suse.de
- fixed typo
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Oct 05 2000 - hhetter@suse.de
- updated to version 0.95.1
* Tue Sep 19 2000 - hhetter@suse.de
- fixed to work with several rpmlib versions (6.4, 7.0, current)
- PUT_ON_FTP for 6.4, 7.0 as a security update
* Mon Sep 18 2000 - hhetter@suse.de
- updated to version 0.95
- removed request for libwww in configure.in (not needed)
- fixed corrupt ko.po file
- changed PAC file to maintainer gnome-maintainers
- changed PAC file to tutor ke@suse.de
* Thu Feb 24 2000 - ke@suse.de
- Small spec file cleanup: better group tag.
* Tue Feb 08 2000 - ro@suse.de
- fixed to build with rpm-3.0.3 and rpm-3.0.4
* Mon Feb 07 2000 - ke@suse.de
- fix for new rpm: -lbz2, -lpopt, -I/usr/include/rpm (cf. rpmfind).
- use version macro.
- ./configure -> %%build.
* Wed Oct 20 1999 - ro@suse.de
- fixed compile problems
* Wed Oct 20 1999 - ke@suse.de
- Update: version 0.9 (not ready for distribution!).
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon May 03 1999 - ro@suse.de
- added popt to neededforbuild (for rpm-3.0)
* Wed Apr 14 1999 - ke@suse.de
- Update: version 0.8.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Tue Mar 09 1999 - ke@suse.de
- Update: version 0.7 (bugfix release).
* Thu Mar 04 1999 - ke@suse.de
- move gnorpm.desktop.
- filelist.
* Sun Feb 28 1999 - ke@suse.de
- Initial package: version 0.6.
